<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use Illuminate\Http\Request;

class ContactsController extends Controller
{
    public function contact()
    {
        return view('web.contacts.contacts');
    }

    public function contact_form()
    {
        return view('web.contacts.contact_form');
    }
        public function contact_store(Request $request){
        $this->validate($request,[
            'email'=>'required|max:191',
            'reason'=>'required|max:191',
            'body'=>'required',
            'mobile'=>'required|max:191',
            'image'=>'required|image'
        ]);
        Contact::create($request->all());
        return redirect()->back()->with('message',\Lang::get('data.contact_submitted'));
    }
}
