@extends('admin.layout.master')
@section('title', "البلاغات")
@section('content')

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">البلاغات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                @include('admin.layout.message')

                <h4 class="header-title">البلاغات</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('products.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>

                        <th>#</th>
                        <th>اسم العضو</th>
                        <th>اسم المنتج</th>
                        <th>التعليق إذا وجد</th>
                        <th>النوع</th>

                        <th>التحكم</th>

                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->user->name}}</td>
                            <td>{{$row->product ? $row->product->title  : ''}}</td>
                            <td>{{$row->comment ? $row->comment->body  : ''}}</td>
                            <td>{{($row->type == 'comment') ? 'تعليق' : 'منتج'}}</td>
                            <td>

                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>

                                <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                     aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title"
                                                    id="myModalLabel">حذف العنصر</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">×
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <h5 class="font-16">هل تريد الحذف ؟</h5>
                                            </div>
                                            <div class="modal-footer">
                                                <form method="post" enctype="multipart/form-data"
                                                      action="{{route('spams.destroy',$row->id)}}">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="button" class="btn btn-light waves-effect"
                                                            data-dismiss="modal">إلغاء
                                                    </button>
                                                    <button type="submit"
                                                            class="btn btn-danger waves-effect waves-light">حذف
                                                    </button>
                                                </form>
                                            </div>
                                        </div><!-- /.modal-content -->
                                    </div><!-- /.modal-dialog -->
                                </div><!-- /.modal -->
                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
