@extends('admin.layout.master')
@section('title', 'أساله اتصل بنا')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">أساله اتصل بنا</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('contact_desc.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان باللغه العربية</label>
                                <input type="text" class="form-control" value="{{$row->title['ar']}}" required
                                       name="title_ar"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان باللغه العربية">
                                @if ($errors->has('title_ar'))
                                    <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان باللغه الانجليزية</label>
                                <input type="text" class="form-control" value="{{$row->title['en']}}" required
                                       name="title_en"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان باللغه الانجليزية">
                                @if ($errors->has('title_en'))
                                    <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف باللغه العربية</label>
                              <textarea class="form-control"   style="resize: none" name="body_ar">{{$row->body['ar']}}</textarea>
                                @if ($errors->has('body_ar'))
                                    <small class="text-danger">{{ $errors->first('body_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف باللغه الانجليزية</label>
                                <textarea class="form-control" style="resize: none"
                                          name="body_en">{{$row->body['en']}}</textarea>
                                @if ($errors->has('body_en'))
                                    <small class="text-danger">{{ $errors->first('body_en') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
