<?php $__env->startSection('title', 'الاعدادات'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                <?php echo $__env->make('admin.layout.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('settings_update',$row->id)); ?>"
                              enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PATCH'); ?>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم الموقع باللغة العربية</label>
                                <input type="text" class="form-control"
                                       value="<?php echo e($row->site_name ? $row->site_name['ar'] : ''); ?>" required
                                       name="site_name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="اسم الموقع باللغة العربية">
                                <?php if($errors->has('site_name_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('site_name_ar')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم الموقع باللغة الإنجليزية</label>
                                <input type="text" class="form-control"
                                       value="<?php echo e($row->site_name ? $row->site_name['en'] : ''); ?>" required
                                       name="site_name_en"
                                       id="exampleInputEmail1"
                                       placeholder="اسم الموقع باللغة الإنجليزية">
                                <?php if($errors->has('site_name_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('site_name_en')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان باللغة العربية</label>
                                <input type="text" class="form-control"
                                       value="<?php echo e($row->address ? $row->address['ar'] : ''); ?>"
                                       name="address_ar"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان باللغة العربية">
                                <?php if($errors->has('address_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('address_ar')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان باللغة الإنجليزية</label>
                                <input type="text" class="form-control"
                                       value="<?php echo e($row->address ? $row->address['en'] : ''); ?>"
                                       name="address_en"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان باللغة الإنجليزية">
                                <?php if($errors->has('address_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('address_en')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">لينك تطبيق الايفون</label>
                                <input type="text" class="form-control" value="<?php echo e($row->ios_link ? $row->ios_link : ''); ?>"
                                       name="ios_link"
                                       id="exampleInputEmail1"
                                       placeholder="لينك تطبيق الايفون">
                                <?php if($errors->has('ios_link')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('ios_link')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">لينك تطبيق الاندرويد</label>
                                <input type="text" class="form-control"
                                       value="<?php echo e($row->android_link ? $row->android_link : ''); ?>"
                                       name="android_link"
                                       id="exampleInputEmail1"
                                       placeholder="لينك تطبيق الاندرويد">
                                <?php if($errors->has('android_link')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('android_link')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العمولة</label>
                                <input type="text" min="0" class="form-control"
                                       value="<?php echo e($row->commission ? $row->commission : ''); ?>"
                                       required
                                       name="commission"
                                       id="exampleInputEmail1"
                                       placeholder="العمولة">
                                <?php if($errors->has('commission')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('commission')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم السجل التجارى</label>
                                <input type="number" min="0" class="form-control"
                                       value="<?php echo e($row->commercial_record ? $row->commercial_record : ''); ?>"

                                       name="commercial_record"
                                       id="exampleInputEmail1"
                                       placeholder="رقم السجل التجارى">
                                <?php if($errors->has('commercial_record')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('commercial_record')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الرقم الضريبى</label>
                                <input type="number" min="0" class="form-control"
                                       value="<?php echo e($row->tax_number ? $row->tax_number : ''); ?>"
                                       name="tax_number"
                                       id="exampleInputEmail1"
                                       placeholder="الرقم الضريبى">
                                <?php if($errors->has('tax_number')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('tax_number')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">مبلغ الإشتراك السنوى</label>
                                <input type="number" min="0" class="form-control"
                                       value="<?php echo e($row->year_subscription ? $row->year_subscription : ''); ?>"
                                       required
                                       name="year_subscription"
                                       id="exampleInputEmail1"
                                       placeholder="مبلغ الإشتراك السنوى">
                                <?php if($errors->has('year_subscription')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('year_subscription')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">اختر التصنيف الذى يظهر فى الموقع والتطبيق </label>
                                <select name="category_id" class="form-control" id="exampleSelect1">
                                    <option value="null">اختر التصنيف</option>
                                    <?php $__currentLoopData = \App\Models\Category::where('status','active')->where('parent_id','=', null)->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($category->id); ?>"
                                            <?php if($row->category_id == $category->id): ?> selected <?php endif; ?>><?php echo e($category->name['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('category_id')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('category_id')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group <?php echo e($errors->has('discount_system_ar') ? ' has-error' : ''); ?>">
                                <label for="privialges">نظام الخصم بالعربية</label>
                                <textarea class="form-control tinymce"
                                          name="discount_system_ar" cols="50"
                                          rows="10"><?php echo e($row->discount_system['ar'] ? $row->discount_system['ar'] : ''); ?></textarea>
                                <?php if($errors->has('discount_system_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('discount_system_ar')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group <?php echo e($errors->has('discount_system_en') ? ' has-error' : ''); ?>">
                                <label for="privialges">نظام الخصم بالانجليزية</label>
                                <textarea class="form-control tinymce"
                                          name="discount_system_en" cols="50"
                                          rows="10"><?php echo e($row->discount_system['en'] ? $row->discount_system['en'] : ''); ?></textarea>
                                <?php if($errors->has('discount_system_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('discount_system_en')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group <?php echo e($errors->has('commission_system_ar') ? ' has-error' : ''); ?>">
                                <label for="privialges">نظام العمولة بالعربية</label>
                                <textarea class="form-control tinymce"
                                          name="commission_system_ar" cols="50"
                                          rows="10"><?php echo e($row->commission_system['ar'] ? $row->commission_system['ar'] : ''); ?></textarea>
                                <?php if($errors->has('commission_system_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('commission_system_ar')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group <?php echo e($errors->has('commission_system_en') ? ' has-error' : ''); ?>">
                                <label for="privialges">نظام العمولة بالانجليزية</label>
                                <textarea class="form-control tinymce"
                                          name="commission_system_en" cols="50"
                                          rows="10"><?php echo e($row->commission_system['en'] ? $row->commission_system['en'] : ''); ?></textarea>
                                <?php if($errors->has('commission_system_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('commission_system_en')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة الموقع</h4>
                                        <input type="file" name="site_logo" class="dropify"
                                               data-default-file="<?php echo e($row->site_logo ? $row->site_logo : ''); ?>"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                <?php if($errors->has('site_logo')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('site_logo')); ?></small>
                                <?php endif; ?>
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/knooz/resources/views/admin/settings/settings.blade.php ENDPATH**/ ?>